# ZoneSummary (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.data
Class ZoneSummary

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.whirled.zone.data.ZoneSummary

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class ZoneSummary

extends com.threerings.io.SimpleStreamableObject

The zone summary contains information on a zone, including its name and summary info on all of the scenes in this zone (which can be used to generate a map of the zone on the client).

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`com.threerings.util.Name` `name` The name of the zone.
`SceneSummary[]` `scenes` The summary information for all of the scenes in the zone.
`int` `zoneId` The zone's fully qualified unique identifier.

Constructor Summary
`ZoneSummary()`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### zoneId

    public int zoneId

  The zone's fully qualified unique identifier.

### name

    public com.threerings.util.Name name

  The name of the zone.

### scenes

    public SceneSummary[] scenes

  The summary information for all of the scenes in the zone.

Constructor Detail

### ZoneSummary

    public ZoneSummary()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `com.threerings.io.SimpleStreamableObject`

Copyright © 2011. All Rights Reserved.